Subject: bug#27601: 25.2; Repository is not shown in the *Packages* buffer for installed packages

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 11 Aug 2021 16:54:33 +0200

Stefan Kangas <[email-masked]> writes:

> The package "ivy" is available from all three archives.  After installing the
> package from gnu, when I run M-x package-list-packages, I see in the "*Package*"
> buffer the following two entries (although not next to each other):
>
>   ivy                20190709.740  available  melpa      Incremental
> Vertical completYon
>   ivy                0.11.0        installed             Incremental
> Vertical completYon

I guess the problem here is that we apparently don't save the archive in
`package-alist' when packages are installed?  Is there any particular
reason for that?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no